Package com.omnisci.thrift.server

## Class OmniSci.Client.Factory

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.Client.Factory

All Implemented Interfaces:
  `org.apache.thrift.TServiceClientFactory<OmniSci.Client>`

Enclosing class:
  OmniSci.Client

    public static class OmniSci.Client.Factory
    extends Object
    implements org.apache.thrift.TServiceClientFactory<OmniSci.Client>

### Constructor Summary

Constructors
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OmniSci.Client` `getClient​(org.apache.thrift.protocol.TProtocol prot)`
`OmniSci.Client` `getClient​(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### getClient

    public OmniSci.Client getClient​(org.apache.thrift.protocol.TProtocol prot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<OmniSci.Client>`

#### getClient

    public OmniSci.Client getClient​(org.apache.thrift.protocol.TProtocol iprot,
                                    org.apache.thrift.protocol.TProtocol oprot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<OmniSci.Client>`